
declare module 'elementorModules' {

    namespace utils {

        interface ScrollObserver {
            callback: Function;
            offset: string;
            root: HTMLElement;
            sensitivity: number;
        }

        interface OffsetObject {
            start: number;
            end: number;
        }

        // frontend-modules.js:5138
        class Scroll {
            static getElementViewportPercentage($element: JQuery, offsetObj?: OffsetObject): number;
            static getPageScrollPercentage(offsetObj?: OffsetObject): number;
            static scrollObserver(obj: ScrollObserver): void;
        }
    }
}
