
declare module 'elementorModules' {

    // frontend-modules.js:4855
    export class Module {
        constructor(instanceSettings?: any);
        forceMethodImplementation(functionName: string): never;
        getConstructorId(): string;
        getDefaultSettings(): {};
        getErrorMessage(type: string, functionName: string): string;
        getItems(items: any, itemKey?: string): any;
        getSettings(settings?: string): any;
        off(eventName: string, callback?: Function): this;
        on(eventName: string, callback: Function): this;
        setSettings(settingsKey: string, value: any, settingsContainer?: any): this;
        trigger(eventName: string, ...params: any[]): this;
    }
}
